ClusterManagementResult.StatusCode (Apache Geode 1.9.1)
Date: 2019-08-30

org.apache.geode.management.api

## Enum ClusterManagementResult.StatusCode

- java.lang.Object
- - java.lang.Enum<ClusterManagementResult.StatusCode>
  - - org.apache.geode.management.api.ClusterManagementResult.StatusCode

- All Implemented Interfaces:
    Serializable, Comparable<ClusterManagementResult.StatusCode>
  Enclosing class:
    ClusterManagementResult

      public static enum ClusterManagementResult.StatusCode
      extends Enum<ClusterManagementResult.StatusCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTITY_EXISTS`
    `ENTITY_NOT_FOUND`
    `ERROR`
    `FAIL_TO_PERSIST`
    `ILLEGAL_ARGUMENT`
    `OK`
    `UNAUTHENTICATED`
    `UNAUTHORIZED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClusterManagementResult.StatusCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClusterManagementResult.StatusCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ILLEGAL_ARGUMENT

          public static final ClusterManagementResult.StatusCode ILLEGAL_ARGUMENT

    - #### UNAUTHENTICATED

          public static final ClusterManagementResult.StatusCode UNAUTHENTICATED

    - #### UNAUTHORIZED

          public static final ClusterManagementResult.StatusCode UNAUTHORIZED

    - #### ENTITY_EXISTS

          public static final ClusterManagementResult.StatusCode ENTITY_EXISTS

    - #### ENTITY_NOT_FOUND

          public static final ClusterManagementResult.StatusCode ENTITY_NOT_FOUND

    - #### ERROR

          public static final ClusterManagementResult.StatusCode ERROR

    - #### FAIL_TO_PERSIST

          public static final ClusterManagementResult.StatusCode FAIL_TO_PERSIST

    - #### OK

          public static final ClusterManagementResult.StatusCode OK

  - ### Method Detail

    - #### values

          public static ClusterManagementResult.StatusCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClusterManagementResult.StatusCode c : ClusterManagementResult.StatusCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClusterManagementResult.StatusCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null